package com.dsk.common.dtos;

import lombok.Data;

import java.util.List;

/**
 * 组合查询参数
 * @author Administrator
 *
 */
@Data
public class ComposeQueryDto {

	String region;

	String keyword;

	String keywordNot;

	Page page;
	
	AptitudeQueryDto aptitudeQueryDto;

	//工商信息
	BusinessInfoDto businessInfoDto;

	List<AchievementQueryDto> enterpriseAchievementQueryDto;

	//完整版四库业绩
	List<AchievementQueryDto> enterpriseAchievementFullQueryDto;

	List<JiangxiBidQueryDto> jiangxiBidQueryDto;

	BeijingQueryDto beijingQueryDto;

	List<RecentlyBidQueryDto> recentlyBidQueryDto;

	List<AwardQueryDto> awardQueryDtos;

	String awardEname;
	//人员证书专查
	PersonnelCertificateQueryDto personnelCertificateQueryDto;

	PersonnelCertificateQueryDto companyPersonnelCertQueryDto;
	//项目负责人 （施工/监理/设计/勘察）
	ComposePersonnelQueryDto composePersonnelQueryDto;
	//项目负责人  （施工）
	ComposePersonnelQueryDto composePersonnelQueryDtoV2;

//	PersonnelQueryDto personnelQueryDto;

	JskBidQueryDto jskBidQueryDto;
	//标讯pro   招标
	JskBidNewsDto jskBidNewsDto;

	//标讯pro   中标候选人
	JskBidCandidateDto jskBidCandidateDto;
	//中标公示
	JskBidWinListDto jskBidWinListDto;
	//专项债项目
	SpecialBondProjectDto specialBondProjectDto;
	//投标计划
	JskBidPlanDto jskBidPlanDto;

	String achievementQueryType;

	String awardQueryType;

	Boolean isHighLightKeyword;
	
	String eid;

	String personId;

	String md5Company;

	List<String> exportHeader ;
	//符合条件的荣誉类别 0 1 2 3
	String awardType;

	String badBehaviorEname;
	//不良行为
	List<CreditBehaviorDto> badBehaviors;
	//信用评价
	List<CreditEvaluateDto> creditEvaluates;
	//良好行为
	GoodBehaviorDto goodBehaviorDto;

	String creditEvaluateType;

	//全平台业绩
	List<JabBasicEnterpriseProjectDto> basicAchievements;

	//江西住建项目业绩
	List<YitihuaAchievementQueryDto> yitihuaAchievements;
	//一体化业绩精简版
	List<YitihuaAchievementQueryDto> ythAchievements;
	//一体化业绩完整版
	List<YitihuaAchievementQueryDto> ythFullAchievements;
	//水利业绩
	List<ShuiliAchievementQueryDto> shuiliAchievements;
	//土地招拍挂
	LandMarketDto landMarketDto;
	//拟建
	EstablishmentDto establishmentDto;

	EstablishmentDto bidPro;

	String yitihuaSource;

	String exportSource;

	Integer exportCount;

	String exportExeclName;

	String exportBackUrl;

	String exportUniqueCode;

	String orderSn;

	public Page getPage() {
		if (page == null) {
			page = new Page();
			page.setPage(1);
			page.setLimit(10);
		}
		return page;
	}
}
